php7不依赖apache_php5 apache 依赖 - CSDN
精华内容
参与话题
  • linux deb系 apache 配置解析php文件

    万次阅读 2018-08-26 16:48:32
    首先安装apache服务器 sudo apt-get install apache 哪个版本都可以 系统默认会选择最新版本安装

    安装apache服务器和php服务

    sudo apt-get install apache2 php

    然后其实一般来说什么也不用安装了就可以成功解析php文件了
    制作一个测试文件,test.php放到默认项目根目录/var/www/html,内容为

    <?php
    phpinfo();
    ?>

    然后访问你的ip地址默认apache端口为80加文件名
    例如:http://localhost:80/test.php
    不过我之前也遇到过解析不成功的情况,是因为我php依赖没有装全。
    完整安装一个php服务有

    sudo apt-get install libapache2-mod-php7.2 php-common php7.2 php7.2-cli php7.2-common php7.2-json php7.2-opcache
      php7.2-readline

    版本号请忽略,我之前装过直接输入安装php,但是libapache2-mod-php这个依赖就没有安装,导致解析不出来php,解决了很久才发现少一个依赖

    展开全文
  • PHPWAMP站点管理的“域名模式”和“端口模式”详解、均支持无限自定义版本:phpwamp站点管理,站点管理使用,域名模式,端口模式,站点管理教程

     

    友情提示:在服务器使用PHPWAMP,环境设置完毕后请关闭phpwamp软件,PHPWAMP分为软件界面运行和服务运行,需要操作环境时才打开PHPWAMP软件界面,平时可以全程关闭软件,phpwamp网站环境一旦正常运行,就没有必要打开phpwamp了,建议关掉phpwamp节省内存(其他一切不需要的程序也全部关掉节省内存),剩下的就交由phpwamp服务去维持环境的运行,重启服务器也会自动运行网站,无需其他设置。

     

     

    如果你想使用Apache服务器,建议优先使用Apache2.4站点管理,不推荐Apache2.2站点管理。 

     

     

    PHPWAMP的各大站点管理都可以使用“域名模式”“端口模式”来区分不同的网站,

    Nginx、apache、iis站点管理使用方式都大同小异,下面先来介绍Apache站点管理的使用方式。

    三大站点管理均支持无限添加php版本无限添加Mysql版本,全自动匹配32、64系统运行环境。

     

     

    1、Apache站点管理的使用

     

    想要使用Apache2.4站点管理,必须先切换到apache2.4(切换Nginx也是同样的道理)

     

    在默认主界面随意切换一个属于apache2.4的PHP版本,这样我们就可以使用apache2.4站点管理了

    ​(右键新标签打开图片可查看高清大图)

     

     

     

    打开Apache2.4站点管理,如下图,打开后我们就可以选择使用“端口模式”还是“域名模式”了

    ​(右键新标签打开图片可查看高清大图)

     

     

     

    首先讲解Apache站点管理的“域名模式”使用方式,如下图所示(注意看图中的文字)

    必须的注意事项:采用域名模式区分不同站点的时候,主界面的端口必须要改成80端口,站点管理右键生成hosts。

    ​(右键新标签打开图片可查看高清大图)

     

     

     

    ​Apache站点管理的“端口模式”使用方式,如下图所示(注意看图中的文字)

    注意事项:主界面的端口和站点内的端口都不允许重复,更不允许端口被占用

    (右键新标签打开图片可查看高清大图)

     

     

     

    2、Nginx站点管理的使用

    Nginx站点管理的端口模式域名模式就不在此累述,因为在以往的文章里已经有过说明,具体可以查看此文:http://blog.csdn.net/lccee/article/details/74910846(文中已经详细介绍了Nginx的站点管理)

     

     

     

    3、IIS站点管理的使用

    IIS站点管理的端口模式域名模式也一样不再累述,

    具体可以查看此文:http://blog.csdn.net/lccee/article/details/77769342(文中已详细介绍了IIS站点)

     

     

     

    在Windows系统里,PHPWAMP比其他集成环境更适合在服务器上运行

    PHPWAMP和其他集成环境比有什么区别和优势? 
    功能多样性:PHPWAMP支持IIS、Nginx、Apache多功能站点管理系统,可同时运行无限个不同的php版本。 
    强大自定义:支持无限添加PHP、Mysql版本,无需考虑系统位数以及各种依赖,软件自动匹配所需依赖。 
    环境稳定性:集成的PHP、Mysql、Web服务器等均为完整版,未经过精简和阉割比其他集成环境更稳定。 
    学习的成本:PHPWAMP带有完整的使用文档,软件作者亲自编辑使用文档,讲解内容通俗易懂可快速入门。 
    智能自动性:PHPWAMP自带的“强制解除环境阻碍”能自动解决大部分系统引起的各种环境错误。 
    运行保证性:PHPWAMP自带宕机重启功能,网站服务宕机将会自动重启,保证apache和Nginx等服务正常运行。 
    错误的排查:PHPWAMP一旦发生启动失败等错误,都会显示友善的提示并提供完整的解决方案。 
    系统兼容性:环境全面匹配32和64位系统,自定义智能匹配32、64位系统所需dll和vc,纯净绿化无需安装。 
    软件便捷性:PHPWAMP高度集成,可以在系统缺失DLL和VC运行库的情况下正常运行,无需安装各种环境依赖。 
    配置方便修改某个站点的php配置文件只需要右键打开即可,系统会自动打开该站点所对应的配置文件。 
    强大功能性强大的常用工具,可强制修改任何环境Mysql密码、去端口、强制解除占用、端口扫描、乱码解除等。 
    高度自由性:PHPWAMP的配置文件支持自主修改,软件不会对配置进行任何限制,配置高度自由。 
    任务自动性:PHPWAMP拥有自动定期重启动服务器,自动定期重启动apache、mysql等服务的功能。 

     

     

    PHPWAMP无视VC运行库,无视系统DLL是否完整是否受损,无视系统原因造成的各种PHP环境运行障碍

    在电脑系统缺失必备组件或DLL受损的情况下依然能正常运行,不用安装vc,不用在乎系统dll是否完整

     

    三大主流Web服务器分别带有功能强大的站点管理(右键功能更符合UEO)

    iis站点一键配置,支持无限个PHP版本同时运行,无限自定义mysql\php版本,无视VC等系统Dll依赖。

    Nginx站点一键配置,支持无限个PHP版本同时运行,无限自定义mysql\php版本,无视VC等系统Dll依赖。

    Apache站点一键配置,支持无限个PHP版本同时运行,无限自定义mysql\php版本,无视VC等系统Dll依赖。

     

    PHPWAMP可以在缺失系统必要依赖组件的情况下正常运行,这是目前其他集成环境所没有的,PHPWAMP不用安装麻烦的VC运行库,不用修复系统缺失的组件,无视依赖双击运行。自定义功能可以随意自定义32位和64位的所有PHP历史版本,自动智能匹配32位系统和64位系统所需的相关依赖完美运行,如果遇到各种占用及其他异常造成的环境故障,还可以使用“强制清除环境阻碍”暴力清除阻碍运行,全智能自动分析,清除阻碍过程中是不会造成任何影响的。

     

     

    展开全文
  • linux下卸载apache方法小结

    万次阅读 2017-12-17 16:59:31
    代码如下: 1. root@server ~]# rpm -qa|grep httpd  httpd-2.2.3-11.el5_2.centos.4  httpd-manual-2.2.3-11.el5_2.centos.4  ...说明:rpm –qa | grep httpd ...我上面的例子是Linux默认安装apache的rpm软件
    代码如下:
    1.
    root@server ~]# rpm -qa|grep httpd 
    httpd-2.2.3-11.el5_2.centos.4 
    httpd-manual-2.2.3-11.el5_2.centos.4 

    说明:rpm –qa | grep httpd 命令是为了把httpd 相关的包都列出来

    我上面的例子是Linux默认安装apache的rpm软件包列表,如果是别的Linux版本列出来的列表有可能会不一样,不过不用担心,不管是什么,卸载都从最下面的一个包开始,直到卸载掉第一个为止。 

    比如:在这个例子中,我们应该先卸载httpd-manual-2.2.3-11.el5_2.centos.4方法如下: 

    代码如下:
    rpm –e httpd-manual-2.2.3-11.el5_2.centos.4

    (一般没有必要带版本号,如可以直接写成rpm –e httpd-manual) 

    代码如下:
    rpm –e httpd --nodeps 

    php和mysql的卸载和apache的卸载方法一样。 

    注意:卸载的时候如果卸载不掉,系统一般会提示包的依赖关系,并且列出依赖的包的名称,先卸载提示依赖的包就可以了。 

    如果实在有卸载不掉的包,可以加—nodeps这个参数来卸载,比如我们卸载httpd-manual-2.2.3-11.el5_2.centos.4,实在卸载不掉了。就用: 

    [root@localhost ~]# rpm -e httpd-manual-2.2.3-11.el5_2.centos.4 --nodeps 

    展开全文
  • 写在前面之前知道还有这么一个技巧,以前手机真机测试webApp都是开电脑的WiFi,然后在手机里开启代理来访问这个网站。这样对设备的依赖性比较大,试想哪天没带笔记本电脑,或者在没有WiFi发射器的台式机里怎么用这...

    写在前面

    之前不知道还有这么一个技巧,以前手机真机测试webApp都是开电脑的WiFi,然后在手机里开启代理来访问这个网站。这样对设备的依赖性比较大,试想哪天没带笔记本电脑,或者在没有WiFi发射器的台式机里怎么用这个方式?

    Apache配置修改

    先确定目标电脑的IP地址

    这里写图片描述

    找到Apache的httpd.conf文件

    添加下面这段代码,DocumentRoot 值是你Apache网站的目录。

    这里写图片描述

    (Apache的监听的端口号一般是80),如果不确定你可以在httpd.conf查看。

    这里写图片描述

    防火墙设置

    进出站规则添加

    这里写图片描述

    这里写图片描述

    这里写图片描述

    这里写图片描述

    这里写图片描述

    这里写图片描述

    最后一步

    重启Apache,然后把那个需要在手机里访问的 IP地址+端口号+项目目录(如http://192.168.0.12/WxpayAPI_php_v3/index.php)就可以了。

    展开全文
  • 基于Windows xampp升级PHP版本,原本...1:PHP7 所运行的环境依赖Apache 2.4* Apache2.4下载:https://httpd.apache.org/ 选择file_for_Mocrosoft_Windows 选择ApacheHaus 点击下载
  • 我在使用 apt-get 命令 一个组件一个组件的 安装 LAMP 并进行实验时, 碰到了以下问题: 在我使用以下命令安装LAMP...后发生了下列依赖问题(由于发生问题时,没有全部逐一记录, 只是搜索了以下关键词, 所以现在整理时
  • ./configure --with参数

    千次阅读 2015-08-18 21:24:55
    搭建apache tomcat集群环境时遇到 ./configure --with-apxs=/usr/local/apache-tomcat-7.0.26/bin/apxs 解释如下: with:指定依赖 --whit-依赖包名称=依赖包目录 --with-apxs 是指定 apache 的配置程序路径,...
  • ubuntu16.04下安装php7.0

    万次阅读 2017-04-16 13:58:07
    1. 首先安装 MySQL sudo apt-get install mysql-server mysql-client 2.安装apache2 sudo apt-get install apache2 3.安装php7 ...sudo apt-get install php7 ...4 安装apache2 php7 module sudo apt-get
  • PHP7的安装和配置

    万次阅读 2017-08-01 20:45:42
    零、下载软件 0. 由于我是64位的win7系统,所以我下载的是...这个地址包含了php所需的Apache,php与mysql,还有依赖包vc11和vc14。 1. 下载完后,先安装vc11_reidst_x64.exe和vc14_redist.x64.exe   2
  • Debian下LAMP环境的搭建

    千次阅读 2007-01-22 03:40:00
    Debian下LAMP环境的搭建以前安装LAMP环境都是采用下载软件包自己编译安装的方法搭建的。...采用手工编译安装的方法,虽然可以很好的控制软件包的安装位置,但是却不得自己去解决各种的依赖关系。如编译PHP
  • apache环境 php开启intl扩展

    千次阅读 2017-05-25 12:29:38
    apache环境 php开启intl扩展
  • linux下apache+php搭建配置记录

    万次阅读 2013-04-10 13:20:54
    第1章 环境说明 1.1 系统说明 Centos 6.2 (最小化安装) 1.2 软件说明 httpd-2.4.2.tar.gz apr-util-1.4.1.tar.gz ...php-5.4.3.tar.bz2 libmcrypt-2.5.8.tar.gz mhash-0.9.9.9.tar.gz 第2章
  • Linux安装php-7.0.16,完成phpapache的配置
  • iis站点一键配置,支持无限个PHP版本同时运行,无限自定义mysql\php版本,无视VC等系统Dll依赖。...Apache站点一键配置,支持无限个PHP版本同时运行,无限自定义mysql\php版本,无视VC等系统Dll依赖
  • tips:用maven创建工程的时候会有A工程依赖B工程。之前用spring boot运行内置tomcat和外部tomcat都没有发现问题。问题描述今天使用mvn + spring mvc + mybais,项目工程是sys_stats,基础工是sys_common,里边有公用类...
  • Linux 下apache2.4 和 php5.3的安装

    万次阅读 2012-05-13 15:20:56
    若要安装apache服务器软件,需要安装以下几个依赖软件 apr-1.4.6.tar.gz  apr-util-1.4.1.tar.gz pcre-8.20.tar.gz 软件名 版本(当前最新版) 下载地址 Apr 1.4.6 ...
  • PHPWAMP内置IIS管理器一键搭建PHP网站,支持无限个不同PHP版本同时运行
  • 环境说明:  linux:centos7.3 ... apache:Apache/2.4.6 (CentOS)  php :PHP 7.3.3 一、下载安装依赖包  1.下载安装: rpm -Uvhhttps://mirror.webtatic.com/yum/el7/epel-release.rpm  rpm -Uvhhttps...
  • svn后台管理系统IF.SVNadmin

    万次阅读 2013-11-27 11:29:04
    如果需要完整的安装包,依赖包,安装文档,FAQ文档,联系QQ:554290721 开源文化,喜欢分享。主要这个后台管理系统比较难搞,资料少,借鉴一些英文网站,其中遇到权限问题。 主要工作: 1、linux系统centos6.3 2、...
  • CentOS7--如何搭建LAMP服务环境

    万次阅读 2019-03-12 11:47:54
    1、MySQL高版本5.7及以上安装在CentOS7x64位系统,安装过程在以往笔记里找,这里不再赘述; 2、安装Apache-Httpd,下载地址:http://mirrors.hust.edu.cn/apache/httpd/httpd-2.4.23.tar.gz 在编译安装Apache(httpd...
1 2 3 4 5 ... 20
收藏数 51,605
精华内容 20,642
热门标签
关键字:

php7不依赖apache